*, *::after, *::before{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    width: 100%;
    height: auto;
}

div.main{
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

div.clock{
    position: relative;
    width: 300px;
    height: 300px;
    border: 20px solid black;
    border-radius: 50%;
}
div.clock div.clock-base{
    position: absolute;
    width: 100%;
    transform: translateY(-3px);
    height: 100%;
}

div.clock div.clock-center{
    position: absolute;
    background-color: black;
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 20px;
    height: 20px;
}

div.clock div.clock-base div.hand{
    position: absolute;
    height: 6px;
    top: 50%;
    left: 50%;
    border-radius: 3px;
    transform: translate(0 ,-50%);
    transform: rotate(-90deg);
    transform-origin: 0%;
    transition: all 0.05s;
    transition-timing-function: cubic-bezier(0, 2.6, 0.5, 1);
}

div.clock div.s-hand{
    width: calc(50% - 5px);
    background-color: #a52a2a;
}
div.clock div.m-hand{
    width: calc(50% - 15px);
    background-color: #000000;
}
div.clock div.h-hand{
    width: calc(50% - 40px);
    background-color: #000000;
}

div.clock div.credit{
    position: absolute;
    z-index: -1;
    top: 80%;
    left:50%;
    transform: translate(-50%, -50%);
}
div.clock div.credit a{
    text-decoration: none;
    color: #7fffd4;
    background-color: #000000;
    border-radius: 7px;
    padding: 3px 5px;
}